LUMINA-OPEN(1)

NAME
lumina-open - Application launcher for the Lumina Desktop Environment.

SYNOPSIS
lumina-open

lumina-open [-select | -action <ActionID>] <file path or URL>

lumina-open [-volumeup | -volumedown | -brightnessup | -brightnessdown | -autostart-apps | -terminal]

DESCRIPTION
Given a file with an absolute pathway or URL, the lumina-open utility finds the appropriate application which which to open the file. If the file is a *.desktop application shortcut, lumina-open starts the application automatically. Using the appropriate flags allows lumina-open to perform a few specific system operations. Here are the commands, flags, and descriptions of their functionality:

lumina-open
    Displays the description and usage for lumina-open.

lumina-open [-select | -action <ActionID>] <file path or URL>
    Opens the file using the appropriate application.

-select
    Optional flag. Bypasses any default application settings to display the application selector window.

-action <ActionID>
    Optional flag. Runs the specified ActionID that is listed in a .desktop registration file rather than the main command.

lumina-open [-volumeup | -volumedown | -brightnessup |
    -brightnessdown | -autostart-apps | -terminal]

    This command is used to perform system operations, depending on the specific flags.

-volumeup
    Increase system audio volume by 5%.

-volumedown
    Decrease system audio volume by 5%.

-brightnessup
    Increase screen brightness by 5%.

-brightnessdown
    Decrease screen brightness by 5%.

-autostart-apps
    Launches all applications registered with the XDG autostart application. Typically run by the desktop and not manually launched.

-terminal
    Open the user's default terminal.

EXAMPLES

lumina-open -brightnessup
    Increase screen brightness.

lumina-open sample.txt
    lumina-open finds the default program for .txt files and opens sample.txt with the appropriate application.

lumina-open ~/Documents
    lumina-open launches the default file manager, pointed to the current user's Documents directory.

lumina-open http://lumina-desktop.org
    Launches the default web browser pointed to the Lumina website.

FILES

${XDG_CONFIG_HOME}/mimeapps.list
    Default file that saves mimetype to application associations.

${XDG_CONFIG_HOME}/${XDG_CURRENT_DESKTOP}-mimeapps.list
    Default file that saves mimetype to application associations for the current desktop session. This file is used before the generic associations file.

SEE ALSO
XDG-OPEN(1)

REFERENCES
For .desktop entry specifications and formatting, refer to these websites:

https://specifications.freedesktop.org/desktop-entry-spec/latest/

Specifications for .desktop files.

https://specifications.freedesktop.org/mime-apps-spec/latest/

Details how default applications are registered.

https://specifications.freedesktop.org/autostart-spec/latest/

Used in the -autostart-apps action. Determines which applications are automatically started.

AUTHOR
Tim Moore <timmoore88@gmail.com>